Bug 610764 - NPE in uninventory platform
Summary: NPE in uninventory platform
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Agent   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 12:07 UTC by Heiko W. Rupp
Modified: 2014-04-04 19:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-04 19:45:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Heiko W. Rupp 2010-07-02 12:07:04 UTC
I've set a platform to uninventory for one of the spawned ones.

Server log shows:

2010-07-02 08:04:58,193 WARN  [org.rhq.enterprise.server.core.comm.ServerCommunicationsService] {Failed to truncate/delete spool for deleted agent [Agent[id=10102,name=spawn_29000,address=10.16.90.3,port=29000,remote-endpoint=socket://10.16.90.3:29000/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1278072054721]] please manually remove the file: null}!!! missing resource message key=[Failed to truncate/delete spool for deleted agent [Agent[id=10102,name=spawn_29000,address=10.16.90.3,port=29000,remote-endpoint=socket://10.16.90.3:29000/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200,last-availability-report=1278072054721]] please manually remove the file: null] args=[java.lang.NullPointerException]


Note the NPE in the last line.

Comment 1 Corey Welton 2010-09-30 13:36:18 UTC
Heiko, any more details on this?

Comment 2 Heiko W. Rupp 2010-09-30 13:53:38 UTC
Rajan was just yesterday reporting this again in https://bugzilla.redhat.com/show_bug.cgi?id=611726#c2

I think one would need to start the agent with a debugger attached that triggers on NPE and then uninventory a platform to see if/where the NPE hits.

Comment 3 Jay Shaughnessy 2014-04-04 19:45:54 UTC
Closing, unseen recently and uninventory was successful.


Note You need to log in before you can comment on or make changes to this bug.